KAFFEINE(1)

NAMN
kaffeine - En mediaspelare av KDE med stöd för digital-tv

SYNOPSIS

kaffeine [-d, --debug] [--tempfile] [-f, --fullscreen] [-m, --minimal] [-t, --alwaysontop] [--audiocd] [--videocd] [--aspectratio proportion] [--dvd] [--dumpdvb] [--channel namn / nummer] [--tv kanal] [--lastchannel] [filer]

Observera att --channel, --tv, --lastchannel, --audiocd, --videocd, --dvd och filer är ömsesidigt uteslutande.

BESKRIVNING

Kaffeine är en mediaspelare. Vad som skiljer den från övriga är dess utmärkta stöd för digital-tv (DVB). Kaffeine har ett användarvänligt gränssnitt, så att även förstagångsanvändare kan omedelbart börja spela sina filmer: från dvd (inklusive dvd-menyer, titlar, kapitel, etc.), vcd, eller en fil.

Kaffeine använder libVLC som gränssnitt för uppspelning av video och ljud.

VÄLJARE

-d --debug
    Aktivera alla felsökningsmeddelanden. Observera att Kaffeine också tillåter att felsökningsmeddelanden aktiveras per kategori, genom att använda miljövariabeln:

    QT_LOGGING_RULES=kaffeine.kategori.debug=true

    där kategori kan vara:

    cam
        för dvb CAM-loggar

    dev
        for dvb-enhets och libdvbv5-loggar

    dvbsi
        för dvb MPEG-TS SI-tolkningsloggar

    epg
        for dvb EPG-loggar

    dvb
        for övriga dvb-loggar

    config
        för konfigurationsloggar

    mediawidget
        for mediakomponentloggar

    playlist
        för spellistloggar

    sql
        för SQL lite-loggar

    vlc
        för libVlc-loggar

--tempfile
    Filerna eller webbadresserna som öppnas av programmet tas bort efter användning

-f --fullscreen
    Starta med fullskärmsläge. Med fullskärmsläge är alla menyer normalt dolda. För att visa menyerna, flytta musen till menyernas plats, t.ex. längst upp, längst ner eller till vänster på skärmen.

-m --minimal
    Starta med minimalt läge. Med minimalt läge visas fönsterdekorationen med namnlisten. Alla andra menyer är normalt dolda. För att visa menyerna, flytta musen till menyernas plats, t.ex. längst upp, längst ner eller till vänster i Kaffeines fönster.

    Starta med minimalt läge

-t --alwaysontop
    Talar om för fönsterhanteraren att alltid starta Kaffeine ovanpå andra fönster. Alternativet kan senare inaktiveras via fönsterhanteraren, oftast genom att klicka på namnlisten med höger musknapp och avmarkera rutan Behåll över andra.

--aspectratio proportion
    Tvingar Kaffeine att starta med en specifik proportion, och inaktivera det automatiska läget. Det kan vara användbart på breda och ultrabreda bildskärmar, där användaren alltid vill se videon i fullskärmsläge med den maximalt möjliga upplösningen. Giltiga värden är: 1:1, 4:3, 16:9, 16:10, 2.21:1, 2.35:1 och 2.39:1. Om ett ogiltigt värde anges, eller om alternativet inte används, väljs det automatiska standardläget.

--audiocd
    Spela ljud-cd

--videocd
    Spela video-cd

--dvd
    Spela dvd

--dumpdvb
    Dumpa DVB-data (felsökningsalternativ)

--channel namn / nummer
    Visa tv-kanal

--tv kanal
    (alternativet avråds från)

--lastchannel
    Visa senast inställda tv-kanal

filer
    Filer eller webbadresser att spela

FILER

Kaffeine använder filen scanfile.dvb med en lista över kända kanaler per plats och satellit (för DVB-S).

Använd antingen dvbv5-scan eller w_scan för att skapa en ny fil, antingen när nya kanaler läggs till för någon stad eller när nya satellitutsändningar läggs till som inte är tillgängliga i Kaffeine (i det senare fallet konverterade till riktigt format genom att använda dvb-format-convert), och skicka in den till <linux-media@vger.kernel.org>, med rubriken ”[PATCH] dtv-scan-tables: någon beskrivning”. Den nya uppdateringen läggs till i scanfile.dvb och den uppdaterade filen görs tillgänglig för uppdatering från Internet i Kaffeine.

SE OCKSÅ
    Mer detaljerad användardokumentation är tillgänglig med help:/kaffeine[1] (skriv antingen in webbadressen i Konqueror, eller kör khelpcenter help:/kaffeine).
    kf5options(7)
    qt5options(7)
    dvbv5-scan(1)
    w-scan(1)
    Det finns också ytterligare information tillgänglig på Kaffeine-sidan[2]

UPPHOVSMÄN

Använd kaffeine --author i en terminal för att lista Kaffeines upphovsmän.

AUTHOR

Burkhard Lück <lueck@hube-lueck.de>
    Author.

NOTER

1.  help:/kaffeine
    help:/kaffeine

2.  Kaffeine-sidan
    https://www.kde.org/applications/multimedia/kaffeine/